Package org.gradle.api.tasks.scala

## Class ScalaForkOptions

- java.lang.Object
- - org.gradle.api.tasks.compile.AbstractOptions
  - - org.gradle.api.tasks.compile.BaseForkOptions
    - - org.gradle.api.tasks.scala.ScalaForkOptions

- All Implemented Interfaces:
    `Serializable`

      public class ScalaForkOptions
      extends BaseForkOptions

  Fork options for Scala compilation. Only take effect if `BaseScalaCompileOptions.fork` is `true`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScalaForkOptions()` |

  - ### Method Summary

    - ### Methods inherited from class org.gradle.api.tasks.compile.BaseForkOptions

      `excludeFromAntProperties, getJvmArgs, getMemoryInitialSize, getMemoryMaximumSize, setJvmArgs, setMemoryInitialSize, setMemoryMaximumSize`

    - ### Methods inherited from class org.gradle.api.tasks.compile.AbstractOptions

      `define, getAntPropertyName, getAntPropertyValue, optionMap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScalaForkOptions

          public ScalaForkOptions()